# SRC/clangs.c File Reference

Returns the value of the one norm. More...

`#include <math.h>`
`#include "slu_cdefs.h"`

## Functions
float | clangs (char *norm, SuperMatrix *A)

## Detailed Description

     -- SuperLU routine (version 2.0) --
     Univ. of California Berkeley, Xerox Palo Alto Research Center,
     and Lawrence Berkeley National Lab.
     November 15, 1997

     Modified from lapack routine CLANGE

## Function Documentation

float clangs | ( | char * | norm,
|  | SuperMatrix * | A |
| ) |  |  |

     Purpose
       =======

       CLANGS returns the value of the one norm, or the Frobenius norm, or
       the infinity norm, or the element of largest absolute value of a
       real matrix A.

       Description
       ===========

       CLANGE returns the value

          CLANGE = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                   (
                   ( norm1(A),         NORM = '1', 'O' or 'o'
                   (
                   ( normI(A),         NORM = 'I' or 'i'
                   (
                   ( normF(A),         NORM = 'F', 'f', 'E' or 'e'

       where  norm1  denotes the  one norm of a matrix (maximum column sum),
       normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
       normF  denotes the  Frobenius norm of a matrix (square root of sum of
       squares).  Note that  max(abs(A(i,j)))  is not a  matrix norm.

       Arguments
       =========

       NORM    (input) CHARACTER*1
               Specifies the value to be returned in CLANGE as described above.
       A       (input) SuperMatrix*
               The M by N sparse matrix A.

      =====================================================================